nlohmann::detail::wide_string_input_adapter< WideStringType > Class Template Reference

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::wide_string_input_adapter< WideStringType >:
[legend]
Collaboration diagram for nlohmann::detail::wide_string_input_adapter< WideStringType >:
[legend]

## Public Types

using | char_type = char

## Public Member Functions

| wide_string_input_adapter (const WideStringType &w) noexcept
std::char_traits< char >::int_type | get_character () noexcept override
| get a character [0,255] or std::char_traits<char>::eof(). More...
| wide_string_input_adapter (BaseInputAdapter base)
std::char_traits< char >::int_type | get_character () noexcept
| get a character [0,255] or std::char_traits<char>::eof(). More...
Public Member Functions inherited from nlohmann::detail::input_adapter_protocol
virtual | ~input_adapter_protocol ()=default

## Member Typedef Documentation

## char_type

template<typename WideStringType >

using nlohmann::detail::wide_string_input_adapter< WideStringType >::char_type = char

## Constructor & Destructor Documentation

## wide_string_input_adapter() [1/2]

template<typename WideStringType >

nlohmann::detail::wide_string_input_adapter< WideStringType >::wide_string_input_adapter | ( | const WideStringType & | w | ) |

inlineexplicitnoexcept

## wide_string_input_adapter() [2/2]

template<typename WideStringType >

nlohmann::detail::wide_string_input_adapter< WideStringType >::wide_string_input_adapter | ( | BaseInputAdapter | base | ) |

inline

## Member Function Documentation

## get_character() [1/2]

template<typename WideStringType >

std::char_traits<char>::int_type nlohmann::detail::wide_string_input_adapter< WideStringType >::get_character | ( |  | ) |

inlinevirtualnoexcept

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

## get_character() [2/2]

template<typename WideStringType >

std::char_traits<char>::int_type nlohmann::detail::wide_string_input_adapter< WideStringType >::get_character | ( |  | ) |

inlineoverridevirtualnoexcept

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp